Bug 1374020 - osp-director-10: The convergence step in osp9 - osp10 upgrade is failing over (Invalid resource type oslo::log at logging.pp:171 on compute)
Summary: osp-director-10: The convergence step in osp9 - osp10 upgrade is failing over...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: beta
: 10.0 (Newton)
Assignee: Angus Thomas
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks: 1337794
TreeView+ depends on / blocked
 
Reported: 2016-09-07 17:17 UTC by Omri Hochman
Modified: 2016-12-14 15:58 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.0.0-0.20160907212643.90c852e.1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 15:58:02 UTC


Attachments (Terms of Use)
fix the missing link (270 bytes, text/plain)
2016-09-08 09:06 UTC, Sofer Athlan-Guyot
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 356457 None None None 2016-09-09 15:35:57 UTC
Launchpad 1613211 None None None 2016-09-09 15:34:54 UTC

Description Omri Hochman 2016-09-07 17:17:16 UTC
osp-director-10: The convergence step in osp9 - osp10 upgrade is failing over (Invalid resource type oslo::log at logging.pp:171 on compute)


Environment:
-------------
instack-undercloud-5.0.0-0.20160818065636.41ef775.el7ost.noarch
instack-5.0.0-0.20160802165724.5aabf5c.el7ost.noarch
openstack-heat-common-7.0.0-0.20160823082523.1106458.el7ost.noarch
openstack-heat-engine-7.0.0-0.20160823082523.1106458.el7ost.noarch
python-heatclient-1.3.0-0.20160802194627.44dfe53.el7ost.noarch
puppet-heat-9.1.0-0.20160815142726.d364553.el7ost.noarch
openstack-heat-api-cfn-7.0.0-0.20160823082523.1106458.el7ost.noarch
openstack-heat-api-cloudwatch-7.0.0-0.20160823082523.1106458.el7ost.noarch
openstack-heat-api-7.0.0-0.20160823082523.1106458.el7ost.noarch


Scenario: 
----------
(1) follow the upgrade steps:  https://gitlab.cee.redhat.com/sathlang/ospd-9-to-10-upgrade#controller-and-block-storage-upgrade

(2) run the Convergence step : $DEPLOY -e /usr/share/openstack-tripleo-heat-templates/environments/major-upgrade-pacemaker-converge.yaml


Results: 
---------
Upgrade_FAILED
Upgrade View:
--------------- 
2016-08-29 19:54:15 [0]: UPDATE_COMPLETE state changed
2016-08-29 19:54:16 [overcloud-ComputeAllNodesDeployment-ula6xjjbqnuc]: UPDATE_COMPLETE Stack UPDATE completed successfully
2016-08-29 19:54:16 [ComputeAllNodesDeployment]: UPDATE_COMPLETE state changed
2016-08-29 19:54:17 [ComputeNodesPostDeployment]: UPDATE_IN_PROGRESS state changed
2016-08-29 19:54:17 [overcloud-ComputeNodesPostDeployment-s7tf76gt7knf]: UPDATE_IN_PROGRESS Stack UPDATE started
2016-08-29 19:54:17 [ComputeAllNodesValidationDeployment]: UPDATE_IN_PROGRESS state changed
2016-08-29 19:54:18 [overcloud-ComputeAllNodesValidationDeployment-mdmfmjmag7gg]: UPDATE_IN_PROGRESS Stack UPDATE started
2016-08-29 19:54:18 [overcloud-ComputeAllNodesValidationDeployment-mdmfmjmag7gg]: UPDATE_COMPLETE Stack UPDATE completed successfully
2016-08-29 19:54:19 [ComputeAllNodesValidationDeployment]: UPDATE_COMPLETE state changed
2016-08-29 19:54:22 [ComputeArtifactsConfig]: UPDATE_IN_PROGRESS state changed
2016-08-29 19:54:23 [overcloud-ComputeNodesPostDeployment-s7tf76gt7knf-ComputeArtifactsConfig-ymgtwlgshsle]: UPDATE_IN_PROGRESS Stack UPDATE started
2016-08-29 19:54:23 [overcloud-ComputeNodesPostDeployment-s7tf76gt7knf-ComputeArtifactsConfig-ymgtwlgshsle]: UPDATE_COMPLETE Stack UPDATE completed successfully
2016-08-29 19:54:25 [ComputeArtifactsConfig]: UPDATE_COMPLETE state changed
2016-08-29 19:54:25 [ComputeArtifactsDeploy]: UPDATE_IN_PROGRESS state changed
2016-08-29 19:54:25 [overcloud-ComputeNodesPostDeployment-s7tf76gt7knf-ComputeArtifactsDeploy-c4gcrwlqyh34]: UPDATE_IN_PROGRESS Stack UPDATE started
2016-08-29 19:54:26 [0]: UPDATE_IN_PROGRESS state changed
2016-08-29 19:54:57 [0]: SIGNAL_IN_PROGRESS Signal: deployment 10e76a68-b4ec-4964-8e25-1753a11ebf81 succeeded
2016-08-29 19:54:58 [0]: UPDATE_COMPLETE state changed
2016-08-29 19:54:59 [overcloud-ComputeNodesPostDeployment-s7tf76gt7knf-ComputeArtifactsDeploy-c4gcrwlqyh34]: UPDATE_COMPLETE Stack UPDATE completed successfully
2016-08-29 19:55:00 [ComputeArtifactsDeploy]: UPDATE_COMPLETE state changed
2016-08-29 19:55:01 [ComputeServicesBaseDeployment_Step2]: UPDATE_IN_PROGRESS state changed
2016-08-29 19:55:01 [overcloud-ComputeNodesPostDeployment-s7tf76gt7knf-ComputeServicesBaseDeployment_Step2-dztrniclnk7v]: UPDATE_IN_PROGRESS Stack UPDATE started
2016-08-29 19:55:01 [0]: UPDATE_IN_PROGRESS state changed
2016-08-29 19:55:32 [0]: SIGNAL_IN_PROGRESS Signal: deployment df0be553-317b-4777-8391-6315e84a091d succeeded
2016-08-29 19:55:33 [0]: UPDATE_COMPLETE state changed
2016-08-29 19:55:34 [overcloud-ComputeNodesPostDeployment-s7tf76gt7knf-ComputeServicesBaseDeployment_Step2-dztrniclnk7v]: UPDATE_COMPLETE Stack UPDATE completed successfully
2016-08-29 19:55:35 [ComputeServicesBaseDeployment_Step2]: UPDATE_COMPLETE state changed
2016-08-29 19:55:35 [ComputeOvercloudServicesDeployment_Step3]: UPDATE_IN_PROGRESS state changed
2016-08-29 19:55:35 [overcloud-ComputeNodesPostDeployment-s7tf76gt7knf-ComputeOvercloudServicesDeployment_Step3-wrswpecedlvr]: UPDATE_IN_PROGRESS Stack UPDATE started
2016-08-29 19:55:36 [0]: CREATE_IN_PROGRESS state changed
2016-08-29 19:56:08 [0]: SIGNAL_IN_PROGRESS Signal: deployment 72e49061-9d18-42b4-804c-395965b70fc8 failed (1)
2016-08-29 19:56:09 [0]: CREATE_FAILED Error: resources[0]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 1
2016-08-29 19:56:09 [overcloud-ComputeNodesPostDeployment-s7tf76gt7knf-ComputeOvercloudServicesDeployment_Step3-wrswpecedlvr]: UPDATE_FAILED Error: resources[0]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 1
2016-08-29 19:56:10 [ComputeOvercloudServicesDeployment_Step3]: UPDATE_FAILED resources.ComputeOvercloudServicesDeployment_Step3: Error: resources[0]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 1
2016-08-29 19:56:10 [overcloud-ComputeNodesPostDeployment-s7tf76gt7knf]: UPDATE_FAILED resources.ComputeOvercloudServicesDeployment_Step3: Error: resources[0]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 1
2016-08-29 19:56:11 [ComputeNodesPostDeployment]: UPDATE_FAILED resources.ComputeNodesPostDeployment: resources.ComputeOvercloudServicesDeployment_Step3: Error: resources[0]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 1
2016-08-29 19:56:11 [ControllerAllNodesDeployment]: UPDATE_FAILED UPDATE aborted
2016-08-29 19:56:11 [overcloud]: UPDATE_FAILED resources.ComputeNodesPostDeployment: resources.ComputeOvercloudServicesDeployment_Step3: Error: resources[0]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 1
Stack overcloud UPDATE_FAILED
Heat Stack update failed.


[stack@undercloud72 ~]$ heat stack-list
WARNING (shell) "heat stack-list" is deprecated, please use "openstack stack list" instead
+--------------------------------------+------------+---------------+---------------------+---------------------+
| id                                   | stack_name | stack_status  | creation_time       | updated_time        |
+--------------------------------------+------------+---------------+---------------------+---------------------+
| 59ba3729-b247-4600-83b7-df119ce96542 | overcloud  | UPDATE_FAILED | 2016-08-23T17:34:16 | 2016-08-29T19:49:56 |
+--------------------------------------+------------+---------------+---------------------+---------------------+



[stack@undercloud72 ~]$ nova list
+--------------------------------------+------------------------+--------+------------+-------------+-----------------------+
| ID                                   | Name                   | Status | Task State | Power State | Networks              |
+--------------------------------------+------------------------+--------+------------+-------------+-----------------------+
| fe7570d7-91ad-431a-bfcb-8786ae7ead4e | overcloud-compute-0    | ACTIVE | -          | Running     | ctlplane=192.168.0.7  |
| 1c1f6c46-1836-4e31-bf35-871e3589f6f0 | overcloud-controller-0 | ACTIVE | -          | Running     | ctlplane=192.168.0.9  |
| 1e958f1d-7697-4433-945e-82c1f4cc18e2 | overcloud-controller-1 | ACTIVE | -          | Running     | ctlplane=192.168.0.8  |
| 7996e49b-f08f-4ef6-8969-39354cbb5c40 | overcloud-controller-2 | ACTIVE | -          | Running     | ctlplane=192.168.0.10 |
+--------------------------------------+------------------------+--------+------------+-------------+-----------------------+
[stack@undercloud72 ~]$ 
[stack@undercloud72 ~]$ 
[stack@undercloud72 ~]$ 
[stack@undercloud72 ~]$ 
[stack@undercloud72 ~]$ heat resource-list overcloud -n5 | grep -v COMPLETE        
WARNING (shell) "heat resource-list" is deprecated, please use "openstack stack resource list" instead
+-------------------------------------------+-----------------------------------------------+-----------------------------------------------------------------------------------------------+-----------------+---------------------+------------------------------------------------------------------------------------------------------------------------+
| resource_name                             | physical_resource_id                          | resource_type                                                                                 | resource_status | updated_time        | stack_name                                                                                                             |
+-------------------------------------------+-----------------------------------------------+-----------------------------------------------------------------------------------------------+-----------------+---------------------+------------------------------------------------------------------------------------------------------------------------+
| ControllerAllNodesDeployment              | 7ec5ffd8-906d-43fe-adce-451a8490327e          | OS::Heat::StructuredDeployments                                                               | UPDATE_FAILED   | 2016-08-24T16:19:10 | overcloud                                                                                                              |
| 1                                         | e7241f1c-7de0-4689-ab78-4fe28ce69d45          | OS::Heat::StructuredDeployment                                                                | UPDATE_FAILED   | 2016-08-24T16:19:11 | overcloud-ControllerAllNodesDeployment-lqutwxlcrcoi                                                                    |
| 2                                         | b0f8d40d-e55e-461b-953f-c61c57da0896          | OS::Heat::StructuredDeployment                                                                | UPDATE_FAILED   | 2016-08-24T16:19:13 | overcloud-ControllerAllNodesDeployment-lqutwxlcrcoi                                                                    |
| 0                                         | 14b27d11-558e-415c-a1de-68b3cae8bd9f          | OS::Heat::StructuredDeployment                                                                | UPDATE_FAILED   | 2016-08-24T16:19:15 | overcloud-ControllerAllNodesDeployment-lqutwxlcrcoi                                                                    |
| ComputeNodesPostDeployment                | be18f688-012f-4c76-96d6-1516564b4acf          | OS::TripleO::ComputePostDeployment                                                            | CREATE_FAILED   | 2016-08-24T16:20:06 | overcloud                                                                                                              |
| ComputeOvercloudServicesDeployment_Step3  | cf702f80-7069-4809-8334-0e5188f1b547          | OS::Heat::StructuredDeployments                                                               | CREATE_FAILED   | 2016-08-24T16:20:07 | overcloud-ComputeNodesPostDeployment-s7tf76gt7knf                                                                      |
| 0                                         | e2e14aa1-9377-457a-b5ad-641846528b43          | OS::Heat::StructuredDeployment                                                                | CREATE_FAILED   | 2016-08-24T16:21:13 | overcloud-ComputeNodesPostDeployment-s7tf76gt7knf-ComputeOvercloudServicesDeployment_Step3-wrswpecedlvr                |
+-------------------------------------------+-----------------------------------------------+-----------------------------------------------------------------------------------------------+-----------------+---------------------+------------------------------------------------------------------------------------------------------------------------+
[stack@undercloud72 ~]$ 
[stack@undercloud72 ~]$ 
[stack@undercloud72 ~]$ 
[stack@undercloud72 ~]$ 
[stack@undercloud72 ~]$ 
[stack@undercloud72 ~]$ ssh heat-admin@192.168.0.9^C
[stack@undercloud72 ~]$ heat deployment-show e2e14aa1-9377-457a-b5ad-641846528b43 
WARNING (shell) "heat deployment-show" is deprecated, please use "openstack software deployment show" instead
{
  "status": "FAILED", 
  "server_id": "fe7570d7-91ad-431a-bfcb-8786ae7ead4e", 
  "config_id": "94c1bf9e-c81d-489f-9ced-134762180593", 
  "output_values": {
    "deploy_stdout": "", 
    "deploy_stderr": "\u001b[1;31mWarning: Scope(Class[Timezone]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Timezone]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Absolute_path. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Absolute_path. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::String. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Absolute_path. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Absolute_path. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Re. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Re. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::String. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::String. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::String. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::String. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::String. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Numeric. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Numeric. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Numeric. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Numeric. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Re. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mError: Puppet::Parser::AST::Resource failed with error ArgumentError: Invalid resource type oslo::log at /etc/puppet/modules/neutron/manifests/logging.pp:171 on node overcloud-compute-0.localdomain\nWrapped exception:\nInvalid resource type oslo::log\u001b[0m\n\u001b[1;31mError: Puppet::Parser::AST::Resource failed with error ArgumentError: Invalid resource type oslo::log at /etc/puppet/modules/neutron/manifests/logging.pp:171 on node overcloud-compute-0.localdomain\u001b[0m\n", 
    "deploy_status_code": 1
  }, 
  "creation_time": "2016-08-24T16:21:14", 
  "updated_time": "2016-08-24T16:21:43", 
  "input_values": {
    "step": 3, 
    "update_identifier": "1472055116"
  }, 
  "action": "CREATE", 
  "status_reason": "deploy_status_code : Deployment exited with non-zero status code: 1", 
  "id": "e2e14aa1-9377-457a-b5ad-641846528b43"
}


/var/log/messages :
----------------------
Sep  7 14:33:53 overcloud-compute-0 os-collect-config: [2016-09-07 14:33:53,416] (heat-config) [WARNING] Skipping config 94c1bf9e-c81d-489f-9ced-134762180593, already deployed
Sep  7 14:33:53 overcloud-compute-0 os-collect-config: [2016-09-07 14:33:53,416] (heat-config) [WARNING] To force-deploy, rm /var/lib/heat-config/deployed/94c1bf9e-c81d-489f-9ced-134762180593.json
Sep  7 14:33:53 overcloud-compute-0 os-collect-config: [2016-09-07 14:33:53,417] (heat-config) [DEBUG] Running /var/lib/heat-config/hooks/puppet < /var/lib/heat-config/deployed/956d1607-05b1-4b5a-bbb4-cfee6e126910.json
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: [2016-09-07 14:33:59,248] (heat-config) [INFO] {"deploy_stdout": "", "deploy_stderr": "\u001b[1;31mWarning: Scope(Class[Timezone]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Timezone]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Absolute_path. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Absolute_path. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::String. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, ple
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: ase use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_ty
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: pe_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Absolute_path. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Absolute_path. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Re. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: 1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Re. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::String. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_lega
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: cy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::String. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. The
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: re is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::String. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::String. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::String. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_l
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: egacy function, with Stdlib::Compat::Numeric. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Numeric. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Numeric. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Numeric. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Re. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README.\u001b[0m\n\u001b[1;31mError: Puppet::Parser::AST::Resource failed with error ArgumentError:
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: Invalid resource type oslo::log at /etc/puppet/modules/neutron/manifests/logging.pp:171 on node overcloud-compute-0.localdomain\nWrapped exception:\nInvalid resource type oslo::log\u001b[0m\n\u001b[1;31mError: Puppet::Parser::AST::Resource failed with error ArgumentError: Invalid resource type oslo::log at /etc/puppet/modules/neutron/manifests/logging.pp:171 on node overcloud-compute-0.localdomain\u001b[0m\n", "deploy_status_code": 1}
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: [2016-09-07 14:33:59,248] (heat-config) [DEBUG] [2016-09-07 14:33:53,453] (heat-config) [DEBUG] Running FACTER_heat_outputs_path="/var/run/heat-config/heat-config-puppet/956d1607-05b1-4b5a-bbb4-cfee6e126910"  FACTER_fqdn="overcloud-compute-0.localdomain"  FACTER_deploy_config_name="ComputeOvercloudServicesDeployment_Step3"  puppet apply --detailed-exitcodes /var/lib/heat-config/heat-config-puppet/956d1607-05b1-4b5a-bbb4-cfee6e126910.pp
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: [2016-09-07 14:33:59,244] (heat-config) [INFO] Return code 1
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: [2016-09-07 14:33:59,245] (heat-config) [INFO] #033[1;31mWarning: Scope(Class[Timezone]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.#033[0m
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: #033[1;31mWarning: Scope(Class[Timezone]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.#033[0m
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: #033[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.#033[0m
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: #033[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.#033[0m
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: #033[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Absolute_path. There is further documentation for validate_legacy function in the README.#033[0m
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: #033[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Absolute_path. There is further documentation for validate_legacy function in the README.#033[0m
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: #033[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::String. There is further documentation for validate_legacy function in the README.#033[0m
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: #033[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.#033[0m
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: #033[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.#033[0m
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: #033[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_legacy function, with Stdlib::Compat::Bool. There is further documentation for validate_legacy function in the README.#033[0m
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: #033[1;31mWarning: Scope(Class[Ntp]): deprecation. puppet_3_type_check. This method is deprecated, please use the stdlib validate_lega
y function, with Stdlib::Compat::Array. There is further documentation for validate_legacy function in the README.#033[0m
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: #033[1;31mError: Puppet::Parser::AST::Resource failed with error ArgumentError: Invalid resource type oslo::log at /etc/puppet/modules/
neutron/manifests/logging.pp:171 on node overcloud-compute-0.localdomain
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: Wrapped exception:
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: Invalid resource type oslo::log#033[0m
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: #033[1;31mError: Puppet::Parser::AST::Resource failed with error ArgumentError: Invalid resource type oslo::log at /etc/puppet/modules/
neutron/manifests/logging.pp:171 on node overcloud-compute-0.localdomain#033[0m
Sep  7 14:33:59 overcloud-compute-0 os-collect-config: [2016-09-07 14:33:59,245] (heat-config) [ERROR] Error running /var/lib/heat-config/heat-config-puppet/956d1607-05b1-4b5a-bbb4-cfee6e126
910.pp. [1]

Comment 2 Sofer Athlan-Guyot 2016-09-08 09:03:40 UTC
Hi,

the puppet-oslo package is new in the opm packaging.  It's puppet 

   tripleo-puppet-elements/elements/puppet-modules/install.d/puppet-modules-package-install/75-puppet-modules-package

jobs to create the symlink from /usr/share/openstack-puppet/modules/* to /etc/puppet/modules/

As the new package is pull in by rpm the link is not done and hence the error above where puppet cannot find the oslo module.

Running this script before the convergence fix it:


#!/usr/bin/bash

set -eux
. stackrc

for host in $(nova list | awk '$1 !~ /^\+/ && NR>3{print gensub(/.*=([0-9.]+).*/, "\\1",$12)}'); do
    ssh heat-admin@${host} sudo sh -c '"cd /etc/puppet/modules && ln -s /usr/share/openstack-puppet/modules/oslo oslo"'
done

Comment 3 Sofer Athlan-Guyot 2016-09-08 09:06:20 UTC
Created attachment 1198954 [details]
fix the missing link

Comment 4 Sofer Athlan-Guyot 2016-09-08 09:06:51 UTC
Added the fix as attachment.

Comment 5 Sofer Athlan-Guyot 2016-09-09 15:35:58 UTC
Added upstream bug and fix.

Comment 8 Omri Hochman 2016-11-21 22:04:04 UTC
Verified with openstack-tripleo-heat-templates-5.1.0-3.el7ost.noarch

Comment 10 errata-xmlrpc 2016-12-14 15:58:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.